Package ru.bgcrm.model.process.queue

# Class SortSet

java.lang.Object
ru.bgcrm.model.process.queue.SortSet

public class SortSet extends Object
Queue sort options. Sorting is defined in list of comboboxes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortSet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMode(SortMode mode)`
  `int`
  `getComboCount()`
  Quantity of sequential comboboxes, available for sorting.
  `Map<Integer,Integer>`
  `getDefaultSortValues()`
  Default sort modes for each of combo, if nope of `getSortValues()` and HTTP request options set.
  `List<SortMode>`
  `getModeList()`
  List of modes, available for choose in each of combos.
  `String`
  `getOrders(DynActionForm form)`
  Comma separated SQL column numbers, using for sorting.
  `SortedMap<Integer,Integer>`
  `getSortValues()`
  Strictly defined sort modes for each of combo.
  `void`
  `setComboCount(int comboCount)`
  `void`
  `setDefaultSortValue(int comboNum, int value)`
  `void`
  `setSortValue(int comboNum, int value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SortSet

    public SortSet()

- ## Method Details

  - ### getComboCount

    public int getComboCount()
    Quantity of sequential comboboxes, available for sorting.
    Returns:

  - ### setComboCount

    public void setComboCount(int comboCount)

  - ### getModeList

    public List<SortMode> getModeList()
    List of modes, available for choose in each of combos.
    Returns:

  - ### addMode

    public void addMode(SortMode mode)

  - ### getSortValues

    public SortedMap<Integer,Integer> getSortValues()
    Strictly defined sort modes for each of combo. Key - 0 based combo id, value - ID of a sort mode.
    Returns:

  - ### setSortValue

    public void setSortValue(int comboNum, int value)

  - ### getDefaultSortValues

    public Map<Integer,Integer> getDefaultSortValues()
    Default sort modes for each of combo, if nope of `getSortValues()` and HTTP request options set.
    Returns:

  - ### setDefaultSortValue

    public void setDefaultSortValue(int comboNum, int value)

  - ### getOrders

    public String getOrders(DynActionForm form)
    Comma separated SQL column numbers, using for sorting.
    Parameters:
      `form` - request's parameters.
    Returns: